/*
 * i18nutils/func2.c
 *
 * Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
 * (X/Open)
 * trading as The Open Group
 * Copyright (c) 2001, 2003 International Business Machines Corp.
 * All rights reserved except as granted by this License.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the "Artistic License" which comes with this
 * Kit, with the following modification:
 * a) "executable(s)" should be interpreted to include
 * "test case(s)"
 * b) if you wish to make changes as defined in clause 2 and 3, and
 * distribute a modified version of this package, then
 * clauses 3c and 4c are required
 * c) Clause 7 is rephrased as follows: "Subroutines supplied by you
 * and linked into this Package shall not be considered part of this
 * Package".
 *
 *
 * X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
 * LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * You should have received a copy of the Artistic License with this
 * Kit, in the file named "Artistic".  If not, we'll be glad to provide one.
 */


#include	<std.h>
#include	<stdio.h>	
#include	<limits.h>	
#include	<dbug.h>
#include	<sysdep.h>

public char *
i18n_api_test2(num)
int num;
{
	static char nbuf[2 + (sizeof(num)*CHAR_BIT*10 + 32)/33];
	char *p;
	unsigned int magn;
	int minus = 0;

	DBUG_LENTER("i18n_api_test2", 2);
	DBUG_PRINTF("i18n_api_test2", "i18n_api_test2(%d)", num);

	p = &nbuf[sizeof(nbuf)];
	*--p = '\0';

	if (num == 0)
		*--p = '0';
	else
	{
		if (num < 0)
		{
			minus = 1;
			/* cast needed because -num can overflow */
			magn = -(unsigned int)num;
		}
		else
			magn = num;

		while (magn != 0)
		{
			*--p = "0123456789"[magn % 10];
			magn /= 10;
		}

		if (minus)
			*--p = '-';
	}

	DBUG_PRINTF("return", "i18n_api_test2 = %s", p);
	DBUG_RETURN(p);
}
