#/bin/sh
#
# LI18NUX2K.L1/annex/env/env.sh
#
# Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
# (X/Open)
# trading as The Open Group
# Copyright (c) 2001, 2003 International Business Machines Corp.
# All rights reserved except as granted by this License.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the "Artistic License" which comes with this
# Kit, with the following modification:
# a) "executable(s)" should be interpreted to include
# "test case(s)"
# b) if you wish to make changes as defined in clause 2 and 3, and
# distribute a modified version of this package, then
# clauses 3c and 4c are required
# c) Clause 7 is rephrased as follows: "Subroutines supplied by you
# and linked into this Package shall not be considered part of this
# Package".
#
#
# X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
# LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# You should have received a copy of the Artistic License with this
# Kit, in the file named "Artistic".  If not, we'll be glad to provide one.


tet_startup=""			# startup function
tet_cleanup=""			# cleanup function
iclist="ic1"
ic1="tp1 tp2 tp3 tp4 tp5 tp6 tp7 tp8"

lang_value=

GetLangValue()
{
	if [ "$lang_value" = "" ] ; then
		lang_value=`locale | grep LANG | awk -F"=" '{print $2}' | sed 's/\"//g'`
	fi
}

CheckSameValue()
{
	checkvar=$1
	GetLangValue

	value=`locale | grep $checkvar | awk -F"=" '{print $2}' | sed 's/\"//g'`
	tet_infoline "CheckSameValue[$value] [$lang_value]"
	if [ "$value" = "$lang_value" ] ; then
		return 0 # success
	else
		return 1 # fail
	fi
}

CheckLC_ALL()
{
	`locale | grep LC_ALL > /dev/null 2>&1`
	if [ $? = 0 ] ; then
		return 0
	else
		return 1
	fi
}

tp1()
{
	NGFlag=0
	tet_infoline "* Verify that LC_ALL variable is defined by default, and that the value of LC_ALL overrides the value of LANG for any LC_* variable."
	tet_infoline " "

	if CheckLC_ALL
	then
		NGFlag=0 # success
	else
		NGFlag=1 # failed
	fi

	LC_ALL=LTP_1.UTF-8
	export LC_ALL
	for l in `locale | grep LC_`
	do
		val=`echo $l | awk -F"=" '{print $2}' | sed 's/\"//g'`
		if [ "$val" != "$LC_ALL" ] ; then
			NGFlag=1 # failed
		fi
	done

	if [ $NGFlag = 1 ] ; then
		tet_result FAIL # means fail
	else
		tet_result PASS # success
	fi
}

tp2()
{
	tet_infoline "* Verify that LC_COLLATE is defined according to LANG."
	tet_infoline " "
	
	if CheckSameValue LC_COLLATE 
	then
		tet_result PASS # success
	else
		tet_result FAIL # means fail
	fi
}

tp3()
{
	tet_infoline "* Verify that LC_CTYPE is defined according to LANG."
	tet_infoline " "

	if CheckSameValue LC_CTYPE 
	then
		tet_result PASS # success
	else
		tet_result FAIL # means fail
	fi
}

tp4()
{
	tet_infoline "* Verify that LC_MESSAGES is defined according to LANG."
	tet_infoline " "

	if CheckSameValue LC_MESSAGES 
	then
		tet_result PASS # success
	else
		tet_result FAIL # means fail
	fi
}

tp5()
{
	tet_infoline "* Verify that LC_MONETARY is defined according to LANG."
	tet_infoline " "

	if CheckSameValue LC_MONETARY 
	then
		tet_result PASS # success
	else
		tet_result FAIL # means fail
	fi
}

tp6()
{
	tet_infoline "* Verify that LC_NUMERIC is defined according to LANG."
	tet_infoline " "

	if CheckSameValue LC_NUMERIC
	then
		tet_result PASS # success
	else
		tet_result FAIL # means fail
	fi
}

tp7()
{
	tet_infoline "* Verify that LC_TIME is defined according to LANG."
	tet_infoline " "

	if CheckSameValue LC_TIME
	then
		tet_result PASS # success
	else
		tet_result FAIL # means fail
	fi
}

tp8()
{
	tet_infoline "* Check if catalog file on the NLSPATH can be refered to."
	tet_infoline " "

	tet_infoline "This test assertion is the same contents as the assertion number 4 "
	tet_infoline "of the 'catopen' in the '3. Base library' section. "
	tet_infoline "Therefor, please refer to the result of the testcase."
	tet_result PASS
}

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
