/*
 * LI18NUX2K.L1/base/wcsdup/wcsdup.c
 * 
 * Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
 * (X/Open)
 * trading as The Open Group
 * Copyright (c) 2001, 2003 International Business Machines Corp.
 * All rights reserved except as granted by this License.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the "Artistic License" which comes with this
 * Kit, with the following modification:
 * a) "executable(s)" should be interpreted to include
 * "test case(s)"
 * b) if you wish to make changes as defined in clause 2 and 3, and
 * distribute a modified version of this package, then
 * clauses 3c and 4c are required
 * c) Clause 7 is rephrased as follows: "Subroutines supplied by you
 * and linked into this Package shall not be considered part of this
 * Package".
 *
 *
 * X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
 * LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 *
 * You should have received a copy of the Artistic License with this
 * Kit, in the file named "Artistic".  If not, we'll be glad to provide one.
 */

#include <std.h>
#include <dbug.h>
#include <report.h>
#include <tet_api.h>
#include <sysdep.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define __USE_GNU
#include <wchar.h>


private void test1();
private void test2();
private void test3();

#define NO_TESTS 1
int	no_tests = NO_TESTS;
public 	void  	(*setfunc)()     = NULL;
public 	void  	(*clnfunc)()     = NULL;
public	struct tet_testlist tet_testlist[] = {
      {test1, 1},
      {NULL,  0}
};

private void
test1()
{
  int pathok = 0;
  wchar_t *wcs = L"1234567";
  size_t wcs_len = 8;		/* Include null wide character. */
  wchar_t *p;
  int i;

  DBUG_ENTER ("test3");
  tet_infoline ("Verify the wide character string starting at return value");
  tet_infoline ("is equal to the one starting at s.");

  globok = 1;
  p = wcsdup(wcs);

  for (i = 0; i < wcs_len; i++)
    {
      if (wcs[i] == p[i])
	PATH_TRACE;
      else
	break;
    }

  if (pathok != wcs_len)
    { 
      xx_rpt (FAILURE);
      in_rpt ("A wide character string is not duplicated correctly.");
    }

  PATH_XS_RPT (wcs_len);
  DBUG_VOID_RETURN;
}
