#/bin/sh
#
# LI18NUX2K.L1/gui/language_support/lang_sup.sh
#
# Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
# (X/Open)
# trading as The Open Group
# Copyright (c) 2001, 2003 International Business Machines Corp.
# All rights reserved except as granted by this License.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the "Artistic License" which comes with this
# Kit, with the following modification:
# a) "executable(s)" should be interpreted to include
# "test case(s)"
# b) if you wish to make changes as defined in clause 2 and 3, and
# distribute a modified version of this package, then
# clauses 3c and 4c are required
# c) Clause 7 is rephrased as follows: "Subroutines supplied by you
# and linked into this Package shall not be considered part of this
# Package".
#
#
# X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
# LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# You should have received a copy of the Artistic License with this
# Kit, in the file named "Artistic".  If not, we'll be glad to provide one.

# t1.sh : test case for checking the requirements 
#              to the locale described in Annex B are satisfied.

tet_startup=""			# startup function
tet_cleanup=""			# cleanup function
iclist="ic1"
ic1="tp1"

Output()
{
	instring=$1
	itemsperline=$2		# number of items per line
	message=$3
	count=0
	num=`expr $itemsperline / 2`
	outstring=""

	tet_infoline "$message"
	tet_infoline " "
	for item in $instring
	do
		outstring="$outstring $item"
		count=`expr $count + 1`
		mod=`expr $count % $num`
		if [ $mod = 0 ] ; then
			tet_infoline "$outstring"
			outstring=""
		fi
	done
	if [ "$outstring" != "" ] ; then
		tet_infoline "$outstring"
	fi
}

tp1()
{
	tet_infoline "* Verify that the languages (except CTL languages) listed by Annex B are supported by setlocale() and XSupportsLocale() functions."
	tet_infoline " "

	supstr=""
	unsupstr=""
	uninststr=""
	fail=0
	for lang in `cat LI18NUX2KL1_AnnexB_locales`
	do
		locale -a | egrep "^$lang" > /dev/null 2>&1
		if [ $? = 0 ] ; then
			LC_ALL=$lang ltp_CheckSupLocOnX
			if [ $? = 0 ] ; then
				supstr="$supstr $lang"
			else
				fail=1
				unsupstr="$unsupstr $lang"
			fi
		else
			uninststr="$uninststr $lang"
		fi      
	done
	if [ $fail = 0 ] ; then
		tet_result PASS
	else
		Output "$uninststr" 8 "Unsupported languages in Annex. B:"
		Output "$unsupstr" 8 "Unsupported languages by XSupportsLocale() function:"
		tet_result FIP
	fi
}

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
