#/bin/sh
#
# LI18NUX2K.L1/hdr/locale_h/locale_h.sh
#
# Copyright (c) 1991, 1992, 1997, 1998, 1999, 2001 X/Open Company Ltd.
# (X/Open)
# trading as The Open Group
# Copyright (c) 2001, 2003 International Business Machines Corp.
# All rights reserved except as granted by this License.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the "Artistic License" which comes with this
# Kit, with the following modification:
# a) "executable(s)" should be interpreted to include
# "test case(s)"
# b) if you wish to make changes as defined in clause 2 and 3, and
# distribute a modified version of this package, then
# clauses 3c and 4c are required
# c) Clause 7 is rephrased as follows: "Subroutines supplied by you
# and linked into this Package shall not be considered part of this
# Package".
#
#
# X/OPEN, TRADING AS THE OPEN GROUP, AND IBM CORP. DISCLAIM ALL WARRANTIES
# WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL X/OPEN OR IBM CORP. BE
# LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
#
# You should have received a copy of the Artistic License with this
# Kit, in the file named "Artistic".  If not, we'll be glad to provide one.


tet_startup="startup"			# startup function
tet_cleanup="cleanup"			# cleanup function
iclist="ic1"
ic1="tp1 tp2"

# Check lconv structure.
tp1()
{
	tpstart "Test for locale.h."
	tet_infoline "Check the following structure is defined:"
	tet_infoline " lconv"

	echo "#include <${header_name}>"	 > ./lconv.c
	echo "int main(void)"			>> ./lconv.c
	echo "{"			        >> ./lconv.c
	echo "  struct lconv s;"		>> ./lconv.c
	echo ""					>> ./lconv.c
	echo "  s.decimal_point     = NULL;"	>> ./lconv.c
	echo "  s.thousands_sep     = NULL;"	>> ./lconv.c
	echo "  s.grouping          = NULL;"	>> ./lconv.c
	echo "  s.int_curr_symbol   = NULL;"	>> ./lconv.c
	echo "  s.currency_symbol   = NULL;"	>> ./lconv.c
	echo "  s.mon_decimal_point = NULL;"	>> ./lconv.c
	echo "  s.mon_thousands_sep = NULL;"	>> ./lconv.c
	echo "  s.positive_sign	    = NULL;"	>> ./lconv.c
	echo "  s.negative_sign	    = NULL;"	>> ./lconv.c
	echo "  s.int_frac_digits   = 0;"	>> ./lconv.c
	echo "  s.frac_digits	    = 0;"	>> ./lconv.c
	echo "  s.p_cs_precedes	    = 0;"	>> ./lconv.c
	echo "  s.p_sep_by_space    = 0;"	>> ./lconv.c
	echo "  s.n_cs_precedes	    = 0;"	>> ./lconv.c
	echo "  s.n_sep_by_space    = 0;"	>> ./lconv.c
	echo "  s.p_sign_posn	    = 0;"	>> ./lconv.c
	echo "  s.n_sign_posn	    = 0;"	>> ./lconv.c
	echo ""					>> ./lconv.c
	echo "  return 0;"			>> ./lconv.c
	echo "}"				>> ./lconv.c

	cc -o ./lconv.out ./lconv.c > /dev/null 2>&1

	if test ${?} = 0 ; then
	  tet_infoline "The structure lconv is defined."
	  tet_result PASS
	else
	  tet_infoline "The structure lconv is not defined."
	  tet_result FAIL
	fi
}

# Check functions.
tp2()
{
	tpstart "Test for locale.h."
	tet_infoline "Check the following functions are defined:"
	tet_infoline " setlocale() localeconv()"

	check_functions setlocale localeconv

	if test ${?} = 0 ; then
	  tet_infoline "All functions are defined."
	  tet_result PASS
	else
	  tet_infoline "Some function are not defined."
	  tet_result FAIL
	fi
}

startup() # startup function
{
	rm -f out.stdout out.stderr > /dev/null 2>&1

	export header_name="locale.h"
	rm -f *.c *.o *.out >/dev/null 2>&1
}


cleanup() # clean-up function
{
	unset header_name
	rm -f out.stdout out.stderr out.experr >/dev/null 2>&1
}

# source common shell functions

. $TET_EXECUTE/LIB/i18nfuncs.sh
. $TET_EXECUTE/LIB/shfuncs.sh
. $TET_EXECUTE/LIB/lsbfuncs.sh

# execute shell test case manager - must be last line
. $TET_ROOT/lib/xpg3sh/tcm.sh
